# Deactivate seller

Deactivates a seller. When the seller has been deactivated, the status changes from `Active` to `Offline`.

## Deactivate seller

> Deactivate seller.\
> Changes seller state to Offline (e.g for maintenance).\
> Available for Operations account with platform account management permissions.\
> Returns the updated seller object.

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5367-gbddd5b56"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/accounts/sellers/{id}/deactivate":{"post":{"tags":["Sellers"],"summary":"Deactivate seller","description":"Deactivate seller.\nChanges seller state to Offline (e.g for maintenance).\nAvailable for Operations account with platform account management permissions.\nReturns the updated seller object.","parameters":[{"name":"id","in":"path","description":"Seller identifier.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Seller"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"Seller":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalId":{"type":"string","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/SellerStatus"}],"nullable":true},"currencies":{"type":"array","items":{"$ref":"#/components/schemas/SellerCurrency"},"nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"erpLink":{"allOf":[{"$ref":"#/components/schemas/ErpLink"}],"nullable":true}},"additionalProperties":false},"PlatformObjectAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"allOf":[{"$ref":"#/components/schemas/PlatformIdentity"}],"nullable":true}},"additionalProperties":false},"PlatformIdentity":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"SellerStatus":{"enum":["Active","Disabled","Offline","Deleted"],"type":"string"},"SellerCurrency":{"type":"object","properties":{"value":{"type":"string"},"billingEnabled":{"type":"boolean"},"isDefault":{"type":"boolean"}},"additionalProperties":false},"Address":{"type":"object","properties":{"addressLine1":{"type":"string","nullable":true},"addressLine2":{"type":"string","nullable":true},"postCode":{"type":"string","nullable":true},"city":{"type":"string","nullable":true},"state":{"type":"string","nullable":true},"country":{"type":"string","nullable":true}},"additionalProperties":false},"ErpLink":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/ErpLinkAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"buyer":{"allOf":[{"$ref":"#/components/schemas/Buyer"}]},"seller":{"allOf":[{"$ref":"#/components/schemas/Seller"}]},"companyName":{"type":"string","nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/ErpLinkStatus"}]},"note":{"type":"string","nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/BuyerExternalIds"}],"nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}],"nullable":true},"shipTo":{"type":"array","items":{"$ref":"#/components/schemas/ErpLinkAddress"},"nullable":true},"billTo":{"type":"array","items":{"$ref":"#/components/schemas/ErpLinkAddress"},"nullable":true}},"additionalProperties":false},"ErpLinkAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"blocked":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unblocked":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"Buyer":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/BuyerAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"externalIds":{"allOf":[{"$ref":"#/components/schemas/BuyerExternalIds"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/BuyerStatus"}],"nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}],"nullable":true},"taxId":{"type":"string","nullable":true},"account":{"allOf":[{"$ref":"#/components/schemas/Account"}],"nullable":true},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ParametrisedMessage"},"nullable":true},"sellers":{"type":"array","items":{"$ref":"#/components/schemas/Seller"},"nullable":true}},"additionalProperties":false},"BuyerAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"activated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"unassigned":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"disabled":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"BuyerExternalIds":{"type":"object","properties":{"erpCompanyContact":{"type":"string","nullable":true},"erpCustomer":{"type":"string","nullable":true},"accountExternalId":{"type":"string","nullable":true}},"additionalProperties":false},"BuyerStatus":{"enum":["Active","Enabled","Disabled","Deleted","Unassigned","Conflict","Mismatch"],"type":"string"},"Account":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"type":{"allOf":[{"$ref":"#/components/schemas/AccountType"}],"nullable":true},"status":{"allOf":[{"$ref":"#/components/schemas/AccountStatus"}],"nullable":true},"externalIds":{"allOf":[{"$ref":"#/components/schemas/AccountExternalIds"}],"nullable":true},"externalId":{"type":"string","nullable":true},"externalName":{"type":"string","nullable":true},"address":{"allOf":[{"$ref":"#/components/schemas/Address"}]},"technicalSupportEmail":{"type":"string","nullable":true},"website":{"type":"string","nullable":true},"description":{"type":"string","nullable":true},"groups":{"type":"array","items":{"$ref":"#/components/schemas/UserGroup"},"nullable":true},"eligibility":{"allOf":[{"$ref":"#/components/schemas/Eligibility"}],"nullable":true},"defaultLanguageCode":{"type":"string","nullable":true}},"additionalProperties":false},"AccountType":{"enum":["Client","Vendor","Operations"],"type":"string"},"AccountStatus":{"enum":["Active","Enabled","Disabled"],"type":"string"},"AccountExternalIds":{"type":"object","properties":{"pyraTenantId":{"type":"string","format":"uuid","nullable":true}},"additionalProperties":false},"UserGroup":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string","nullable":true},"account":{"allOf":[{"$ref":"#/components/schemas/Account"}]},"modules":{"type":"array","items":{"$ref":"#/components/schemas/Module"}},"logo":{"type":"string","nullable":true},"isDefault":{"type":"boolean"},"users":{"type":"array","items":{"$ref":"#/components/schemas/User"}},"extensions":{"type":"array","items":{"$ref":"#/components/schemas/PlatformObjectAuditPlatformExtension"},"nullable":true},"buyers":{"type":"array","items":{"$ref":"#/components/schemas/Buyer"},"nullable":true}},"additionalProperties":false},"Module":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"description":{"type":"string"},"code":{"type":"string"},"accountTypes":{"type":"array","items":{"type":"string"}},"filters":{"allOf":[{"$ref":"#/components/schemas/Filters"}],"nullable":true},"settings":{"allOf":[{"$ref":"#/components/schemas/ModuleSettings"}],"nullable":true}},"additionalProperties":false},"Filters":{"type":"object","properties":{"group.buyers":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"ModuleSettings":{"type":"object","properties":{"sharedAccount":{"type":"boolean","deprecated":true},"configurable":{"type":"boolean"},"default":{"type":"boolean"},"paid":{"type":"boolean"},"type":{"type":"array","items":{"type":"string"}},"obsolete":{"type":"boolean"},"eligibility":{"allOf":[{"$ref":"#/components/schemas/ModuleSettingsEligibility"}],"nullable":true}},"additionalProperties":false},"ModuleSettingsEligibility":{"type":"object","properties":{"multi":{"type":"boolean"},"single":{"type":"boolean"}},"additionalProperties":false},"User":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/UserAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"email":{"type":"string"},"status":{"type":"string"},"phone":{"allOf":[{"$ref":"#/components/schemas/PhoneNumber"}],"nullable":true},"firstName":{"type":"string"},"lastName":{"type":"string"},"lastLoginAt":{"type":"string","format":"date-time","nullable":true},"settings":{"allOf":[{"$ref":"#/components/schemas/UserSettings"}],"nullable":true},"accounts":{"type":"array","items":{"$ref":"#/components/schemas/Account"}},"currentAccount":{"allOf":[{"$ref":"#/components/schemas/Account"}],"nullable":true}},"additionalProperties":false},"UserAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"invitationAcceptedAt":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false},"PhoneNumber":{"type":"object","properties":{"prefix":{"type":"string","nullable":true},"number":{"type":"string","nullable":true}},"additionalProperties":false},"UserSettings":{"type":"object","properties":{"cultureCode":{"type":"string"},"dateFormat":{"type":"string","nullable":true},"languageCode":{"type":"string"},"numberFormat":{"allOf":[{"$ref":"#/components/schemas/NumberFormat"}],"nullable":true},"timeFormat":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false},"NumberFormat":{"type":"object","properties":{"decimalSeparator":{"type":"string"},"groupSeparator":{"type":"string"}},"additionalProperties":false},"PlatformObjectAuditPlatformExtension":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectAudit"}],"nullable":true},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"},"status":{"enum":["Draft","Private","Public","Deleted"],"type":"string"}},"additionalProperties":false},"Eligibility":{"type":"object","properties":{"client":{"type":"boolean"},"partner":{"type":"boolean"}},"additionalProperties":false},"ParametrisedMessage":{"type":"object","properties":{"id":{"type":"string","nullable":true},"message":{"type":"string","nullable":true},"parameters":{"nullable":true}},"additionalProperties":false},"ErpLinkStatus":{"enum":["Active","Blocked"],"type":"string"},"ErpLinkAddress":{"required":["addressLine1","city","country","postCode","state"],"type":"object","properties":{"addressLine1":{"maxLength":250,"minLength":1,"type":"string"},"addressLine2":{"maxLength":250,"type":"string","nullable":true},"postCode":{"maxLength":20,"minLength":1,"type":"string"},"city":{"maxLength":200,"minLength":1,"type":"string"},"state":{"maxLength":200,"minLength":1,"type":"string"},"country":{"maxLength":2,"minLength":1,"type":"string"},"externalId":{"type":"string","nullable":true},"name":{"type":"string","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.platform.softwareone.com/developer-resources/rest-api/accounts-api/seller/deactivate-seller.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
